Ask Your Question
1

Travis Build Fails on installing moveit_ros_planning_interface

asked 2017-08-02 15:14:54 -0600

velveteenrobot gravatar image

updated 2017-08-02 17:41:43 -0600

My Travis build fails with:

The following packages have unmet dependencies:
 ros-indigo-moveit-commander : Depends: ros-indigo-moveit-ros-planning-interface but it is not going to be installed

Does anyone know if this is related to changes in Moveit lately? I think my travis.yml is okay because it's pretty much the same as the one for rail_manipulation_msgs. Here's the travis.yml:

 {
  "sudo": "required",
  "dist": "trusty",
  "language": "generic",
  "env": "CI_ROS_DISTRO=\"indigo\"",
  "install": [
    "sudo sh -c 'echo \"deb http://packages.ros.org/ros/ubuntu trusty main\" > /etc/apt/sources.list.d/ros-latest.list'",
    "wget http://packages.ros.org/ros.key -O - | sudo apt-key add -",
    "sudo apt-get update -qq",
    "sudo apt-get install -qq -y python-rosdep python-catkin-tools",
    "sudo rosdep init",
    "rosdep update",
    "rosdep install --from-paths ./ -i -y --rosdistro $CI_ROS_DISTRO"
  ],
  "script": [
    "source /opt/ros/$CI_ROS_DISTRO/setup.bash",
    "mkdir -p $CATKIN_WS_SRC",
    "ln -s $TRAVIS_BUILD_DIR $CATKIN_WS_SRC",
    "cd $CATKIN_WS",
    "catkin init",
    "pip install catkin-pkg",
    "catkin config --install",
    "catkin build --limit-status-rate 0.1 --no-notify -DCMAKE_BUILD_TYPE=Release"
  ],
  "global_env": "CATKIN_WS=~/catkin_ws CATKIN_WS_SRC=${CATKIN_WS}/src",
  "group": "stable",
  "os": "linux"
}

I tried restarting the build a few times but it always fails on the same thing. I can install moveit_commander and moveit_ros_planning_interface from the command line without issues.

Full build error here: https://travis-ci.org/fetchrobotics/f...

Thanks!

-Sarah

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2017-08-15 16:08:34 -0600

velveteenrobot gravatar image

updated 2017-08-15 16:11:37 -0600

I ended up fixing this by using https://github.com/ros-industrial/ind... . To be honest I don't know why this works, it now takes way longer because it uses Docker. But it does work and a lot of projects seem to use it.

   sudo: required
   dist: trusty
   language: generic
   notifications:
     email:
       on_success: change
       on_failure: always
   env:
     global:
       - ROS_REPO=ros
       - NOT_TEST_INSTALL=true
     matrix:
       - ROS_DISTRO=indigo UPSTREAM_WORKSPACE=file
       - ROS_DISTRO=indigo UPSTREAM_WORKSPACE=debian
   matrix:
     allow_failures:
       - env: ROS_DISTRO=indigo UPSTREAM_WORKSPACE=debian
   install:
     - git clone https://github.com/ros-industrial/industrial_ci.git .ci_config
   script:
     - .ci_config/travis.sh
edit flag offensive delete link more
0

answered 2018-01-03 20:01:50 -0600

aswin gravatar image

I am using Dec 12 2017 travis trusty build and for me the issue was with mongo db. Doing a apt-get install mongodb before your script fixed the issue

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-08-02 15:14:54 -0600

Seen: 188 times

Last updated: Jan 03 '18